{#
/**
 * @file
 * Default theme implementation to display a 'Image link paragraph'.
 *
 * Available variables:
 * - paragraph: Full paragraph entity.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - paragraph.getCreatedTime() will return the paragraph creation timestamp.
 *   - paragraph.id(): The paragraph ID.
 *   - paragraph.bundle(): The type of the paragraph, for example, "image" or "text".
 *   - paragraph.getOwnerId(): The user ID of the paragraph author.
 *   See Drupal\paragraphs\Entity\Paragraph for a full list of public properties
 *   and methods for the paragraph object.
 * - content: All paragraph items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - paragraphs: The current template type (also known as a "theming hook").
 *   - paragraphs--type-[type]: The current paragraphs type. For example, if the paragraph is an
 *     "Image" it would result in "paragraphs--type--image". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - paragraphs--view-mode--[view_mode]: The View Mode of the paragraph; for example, a
 *     preview would result in: "paragraphs--view-mode--preview", and
 *     default: "paragraphs--view-mode--default".
 * - view_mode: View mode; for example, "preview" or "full".
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_paragraph()
 *
 * @ingroup themeable
 */
#}
{{ attach_library('corporateplus/icon-features') }}
{%
    set classes = [
    'paragraph',
    'paragraph--type--' ~ paragraph.bundle|clean_class,
    view_mode ? 'paragraph--view-mode--' ~ view_mode|clean_class,
]
%}
{% block paragraph %}
    <div{{ attributes.addClass(classes) }}>
        {% block content %}
            <div class="feature">
                {% if content.field_mt_if_image|render %}
                    <div class="feature__image">
                        {% if paragraph.field_mt_if_link.0.url %}
                            <div class="overlay-container">
                                <span class="overlay">
                                  <a class="overlay-target-link" href="{{ paragraph.field_mt_if_link.0.url }}"></a>
                                </span>
                                {{ content.field_mt_if_image }}
                            </div>
                        {% else %}
                            {{ content.field_mt_if_image }}
                        {% endif %}
                    </div>
                {% endif %}
                {% if paragraph.field_mt_fltt_body.value|render %}
                    {% if paragraph.field_mt_if_link.0.url %}
                        <h5 class="feature__title"><a href="{{ paragraph.field_mt_if_link.0.url }}">{{ paragraph.field_mt_fltt_body.value | raw }}</a></h5>
                    {% else %}
                        <h5 class="feature__title">{{ paragraph.field_mt_fltt_body.value | raw}}</h5>
                    {% endif %}
                {% endif %}
                {{ content|without('field_mt_if_link', 'field_mt_fltt_body', 'field_mt_if_image') }}
                {% if paragraph.field_mt_if_link.0.url and paragraph.field_mt_if_link.title %}
                    <div class="feature__link"><a class="button" href="paragraph.field_mt_if_link.0.url">{{ paragraph.field_mt_if_link.title }}</a></div>
                {% endif %}
            </div>
        {% endblock %}
    </div>
{% endblock paragraph %}
